       subroutine symblv(x,y,z,h,chr,n)
       character chr*80,ica*80,ich(80)*1
       equivalence (ica,ich)
       ica=chr
       write(10,10)
c   10  format("Viewpoint { position 10 4 8 }"/"Transform {")
   10  format("Transform {")
       write(10,12) x,y,z
   12  format("translation ",3(1x,f5.1))
       write(10,14)
   14  format("children ["/"Shape {"/"geometry Text {")  
c       write(10,16) (ich(i),i=1,n)
c   16  format("string ",'"',80a1,'"')
       write(10,*) "string ",'"',(ich(i),i=1,n),'"'
       write(10,18)
   18  format("fontStyle FontStyle {")
       write(10,20) h
   20  format("size ",f5.1)      
       write(10,22)
   22  format('family "SERIF"'/'style "ROMAN"')
       write(10,24)
   24  format("}"/"}"/"}"/"]"/"}")
       return
       end
